function cbslitexPGA(hObject, eventdata, Empty_Button, Buttons, RegText, RegSlider, Recondition, kind, AxesSOL, AxesAOM, calcp)
data = get(Empty_Button,'UserData');

regconPGA(hObject, eventdata, Empty_Button, Buttons, RegText, RegSlider, Recondition, kind);

if (isfield(data,'islive') == 1) && (data.islive == 1)
    liveviewPGA(hObject, eventdata, Empty_Button, Buttons, RegText, RegSlider, AxesSOL, AxesAOM, calcp);
end
